Topic Closed
mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins
I miss the features of ckeditor 4.3.5 like footnotes and base64image - it wouldbe nice if the next gpeasy 4.5 had them or if an update for existing installations would be available.
5 years ago#7733

Josh S.
2K Posts
280K Downloads
16 Themes
18 Plugins

The most recent release of gpEasy does use ckeditor 4.4.7. You can easily add the footnotes feature to your installation of gpEasy.

  1. Download the footnotes addon from ckeditor
  2. Upload it to your installation of gpEasy using the ckEditor Admin page (found under the "Settings" heading)
5 years ago#7734

mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins

Yes thank You , i oversaw it because in the gpeasy4.4-zip was the directory ckeditor_34 -

Perhaps You can add this new ckeditor 4.4 to the github description

* The installation of footnotes was no problem(even from the adminpanel) but some other ckeditor-plugins make problems :

Oops, that didn't work, please try again. (File type not allowed:widget/dev/assets/contents.css)

Oops, that didn't work, please try again. (File type not allowed:stylesheetparser/samples/assets/sample.css)

Oops, that didn't work, please try again. (File type not allowed:uicolor/yui/assets/yui.css)

Oops, that didn't work, please try again. (File type not allowed:codesnippet/lib/highlight/styles/arta.css)

Oops, that didn't work, please try again. (File type not allowed:codeTag/.git/COMMIT_EDITMSG)

A directory ckeditor_34 is under thirdparty (for what) and another under data, where the installations go

It is not possible to install widget 4.47 even if i made the directory structure by hand and the try to repeat the installation :

Oops, that didn't work, please try again. (File type not allowed:widget/dev/assets/contents.css) - but the .css  is already there by hand !

It seems to be a specific problem in gpeasy ?

 

 

Edited: 5 years ago#7737

Josh S.
2K Posts
280K Downloads
16 Themes
18 Plugins
Hmm, it's probably not fixed entirely in the latest release, but I thought I had fixed a number of those. I should have some time tomorrow to take a closer look.
5 years ago#7739

mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins
Sorry to say - but its not only that. The installation of base64image Jun 21, 2015 @ 11:16 Delete button Jun 21, 2015 @ 11:16 Delete html5validation Jun 21, 2015 @ 11:17 Delete liststyle Jun 21, 2015 @ 11:18 Delete pastebase64 Jun 21, 2015 @ 11:19 Delete placeholder Jun 21, 2015 @ 11:19 Delete tableresize Jun 21, 2015 @ 11:20 Delete tabletools was successful - but they are not visible . Its the same as in Cmsimple -CMS. Only after removal of the toolbar out of the init_full.js some more were visible. It is not an easy solution !
Edited: 5 years ago#7743

Josh S.
2K Posts
280K Downloads
16 Themes
18 Plugins
I've just updated the gpEasy code for ckeditor plugins and was able to install the footnotes plugin. Note that the footnotes plugin requires the widget plugin and Line Utilities plugin which also had to be installed.
5 years ago#7763

mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins
No - i installed a local version of 4.4 and a version on http://mb-info.eu/FS/gp44/ where i could not install as said. Independent from that - the plugins which are installable are not visible in the editor. (please append a screenshot with base64 and footnotes and codetag...) I tried a gpeasy 4.5b3 and widget-plugin was not installable : Oops, that didn't work, please try again. (File type not allowed:widget/dev/assets/contents.css) Lineutils installs but not footnotes Oops, that didn't work, please try again. (File type not allowed:CKEditorFootnotes-1.0.8/) and the installed plugins are not visible in the editor !"
Edited: 5 years ago#7785

mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins

I made another installation with 4.4 not from github and found again
{ "skin" :"kama", "smiley_path" :"\/FS\/gp44n\/include\/thirdparty\/ckeditor_34\/plugins\/smiley\/images\/", ------------------------ ckeditor.js is 482 KB in gpeasy 4.4 ; ckeditor.js for ck3.41 is 324 KB ; ckeditor.js for ckeditor 4.47 ist 682 Kb - that would explain everything - i use plugins for ck4.47 which do not function with ck3.4 and not with ck4.0- I hope gpeasy 4.5 will have the Version 4.47 or at least 4.35 .......................................................................

I used   http://ckeditor.com/builder/f14ecffb7ffb7a203ebd2bb2bbc16330   from  built-config.js and made me a new version with 4.47 and all plugins like widget.

The i made a temp-directory  in ckeditor_34 and shifted everything into and copied the content of my new ckeditor 4.47 into ckeditor_34.  and did not touch ckeditor_config.js under js --- skins are of couse the same - no plugins with adminconsole added

. Now the editor does not function just save etc. - all the files are the same...some more has to be changed

Edited: 5 years ago#7793

mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins
I installed 4.5rc2 and found that it has ckeditor 4.47 (about plugin). Then I installed the widget - plugin from the adminconsole and the ckeditor - EXAMPLE - window stayed white (because of footnotes which caused the same white window and depends upon widget). So my footnotes - Problem is unsolved - Perhaps i have to do something else by hand. Can moderator "J├╝rgen" perhaps write a plugin .....
5 years ago#7916

juergen
1.5K Posts
53.7K Downloads
16 Plugins
design, web development & visual effects

Hi pba,

I'm not a moderator, just a normal forum member (admittedly with a lot of posts recently ;)

I just tried installing the footnotes plugin on a gpEasy 4.5 final host. It works.
You might have overseen the fact that the widget plugin itself depends on the lineutils plugin.

I' recommend to install in this order:

  1. lineutils_4.4.8
  2. widget_4.4.8
  3. footnotes_1.0.8

Another thing comes to mind:
If you're using my FontAwesome gpEasy Addon, there might be conflicts because lineutils and widget (versions 4.3.5) will be installed along here. If you have it installed, please uninstall it first.
I haven't yet checked if my FontAwesome addon (current ver 1.2) is compatible with gpEasy 4.5/CKE 4.4.7.

5 years ago#7917

mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins

I made a clean install if 4.5 and the above  worked in fact .

But other plugins like base64image , div, divarea , codesnippet, dialog and htmlbuttons 151 are still  incompatible and create either a "white example-window" or are not visible in the editor.

Perhaps - if someone has too much time - he can create a package with compatible or  adapted plugins.

For a future version of gpeasy  version 4.52  should be better - regarding to cksource.

 

 

 

Edited: 5 years ago#7927

juergen
1.5K Posts
53.7K Downloads
16 Plugins
design, web development & visual effects

Don't try to install div and dialog, they are already included in gpEasy's CKE build.

When you get a "white example-window" there will be a javascript error that might provide some insight what's going on.
Press Ctrl+Shift+K (Cmd+Shift+K on OS X) to inspect the errors.

If you get "File type not allowed" errors upon installation, try to allow the file extenson(s) in /gpconfig.php line 11, like 
$upload_extensions_allow = array('md','js');

Some CKEditor plugins do not have a button/icon but work with right-click or only alter/extend existing dialogs.

Perhaps - if someone has too much time - he can create a package with compatible or  adapted plugins.

CKEditor currently lists 353 plugins. So, if you want a complete list,  I'm afraid you will have to test them yourself :-/

 

edit:/

For a future version of gpeasy  version 4.52  should be better - regarding to cksource.

With new gpEasy releases, Josh usually includes the most recent stable CKEditor build, once all currently used plugins are also updated and working.

 

Edited: 5 years ago#7928

juergen
1.5K Posts
53.7K Downloads
16 Plugins
design, web development & visual effects

Josh -
to avoid double installation attempts we could add sth. like this to admin_ckeditor.php - below the form:

    echo '<div style="margin:1.5em 0; padding:1em 1.5em 1em 1.5em; background:#f7f7f7;">';
    echo '<h3>Pre-installed plugins</h3>';
    echo '<p>You do not need to install the following plugins if new plugins depend on them:</p>';
    echo '<ul>';
    echo '<li><strong>A:</strong> a11yhelp</li>';
    echo '<li><strong>B:</strong> basicstyles, bidi, blockquote, button</li>';
    echo '<li><strong>C:</strong> clipboard, colorbutton, colordialog, contextmenu</li>';
    echo '<li><strong>D:</strong> dialog, dialogadvtab, dialogui, div</li>';
    echo '<li><strong>E:</strong> elementspath, enterkey, entities</li>';
    echo '<li><strong>F:</strong> fakeobjects, filebrowser, find, flash, floatpanel, font, format, forms</li>';
    echo '<li><strong>H:</strong> horizontalrule, htmlwriter</li>';
    echo '<li><strong>I:</strong> iframe, image, indent, indentlist</li>';
    echo '<li><strong>J:</strong> justify</li> ';
    echo '<li><strong>L:</strong> link, list, listblock, liststyle</li>';
    echo '<li><strong>M:</strong> maximize, menu</li>';
    echo '<li><strong>N:</strong> newpage</li>';
    echo '<li><strong>P:</strong> pagebreak, panel, panelbutton, pastefromword, pastetext, popup</li>';
    echo '<li><strong>R:</strong> removeformat, resize, richcombo</li>';
    echo '<li><strong>S:</strong> save, selectall, sharedspace, showblocks, showborders, smiley, sourcearea, sourcedialog, specialchar, stylescombo, stylesheetparser</li>';
    echo '<li><strong>T:</strong> tab, table, tableresize, tabletools, templates, toolbar</li>';
    echo '<li><strong>U:</strong> undo</li>';
    echo '<li><strong>W:</strong> wysiwygarea</li>';
    echo '<ul>';
    echo '</div>';

 

Edited: 5 years ago#7929

Josh S.
2K Posts
280K Downloads
16 Themes
18 Plugins

Just added

I've also added a check during ckeditor plugin installation to prevent duplicate installations

4 years ago#8108

mabu
253 Posts
2.9K Downloads
3 Themes
8 Plugins

Yes thanks -  although it does not belong to this theme two notices :

In the new version of gpeasy expandcontract is not installable - error - and

it would be nice to add the possiblity to install a Theme or a plugin from harddisk (from a zip) as it is possible with the plugins of ckeditor.

The connection to the gpeasy directory on the web is often broken ( - maybe it is because of the connection-software in gpeasy or whatever..)

4 years ago#8271

Topic Closed

 

News

elFinder 2.1.50 in Upcoming Release
12/28/2019

A new release for Typesetter is in the works with a lot of improvements including the ... Read More

Typesetter 5.1
8/12/2017

Typesetter 5.1 is now available for download. 5.1 includes bug fixes, UI/UX improvements, ... Read More

More News

creisi productions

Dienstleistungen von creisi productions, Luzern (Schweiz): * Konzeption, Planung und Erstellung Ihres Internet-Auftritts * Betreuung und Aktualisierung/Pflege Ihrer Website * ...

Find out more about our Provider Spotlight

Log In

  Register